Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Valuation, margin, return, and leverage ratios, plus a market-wide snapshot.
GET /financial-metrics
scenario_id
ticker
period
ttm
quarterly
annual
limit
offset
curl -s "https://api.davidhf.com/financial-metrics?scenario_id=<id>&ticker=AAPL&period=ttm&limit=4" \ -H "X-API-KEY: YOUR_API_KEY"
dd.financials.metrics("AAPL", scenario_id="<id>", period="ttm", limit=4)
{ "financial_metrics": [ { "ticker": "AAPL", "report_period": "2026-03-31", "period": "ttm", "currency": "USD", "price_to_earnings_ratio": 28.4, "price_to_sales_ratio": 7.1, "gross_margin": 0.452, "operating_margin": 0.312, "net_margin": 0.271, "return_on_equity": 0.51, "debt_to_equity": 1.4, "market_cap": 2950000000000 } ] }
GET /financial-metrics/snapshot
as_of
curl -s "https://api.davidhf.com/financial-metrics/snapshot?scenario_id=<id>&as_of=2026-03-26&limit=50" \ -H "X-API-KEY: YOUR_API_KEY"
dd.financials.metrics_snapshot(scenario_id="<id>", as_of="2026-03-26", limit=50)
{ "financial_metrics": [ { "ticker": "AAPL", "price_to_earnings_ratio": 28.4, "market_cap": 2950000000000, "...": "..." } ] }
GET /financial-metrics/snapshot/tickers
{ "tickers": ["AAPL", "MSFT", "..."] }